using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;
using System.Diagnostics;
using Infragistics.Shared;
using System.IO;

namespace MemDataTable_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private DataTable dt1;

        private void Form1_Load(object sender, System.EventArgs e)
        {
            // Set grid's DataSource            
            dt1 = DummyDataCreator.GetData(1, new Type[] {typeof(int)});

            dt1.TableName = "Band 0";

            this.ultraGrid1.SetDataBinding(dt1, null);
        }       

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];
            UltraGridOverride ov = layout.Override;

            UltraGridColumn column = band.Columns.Add("Calculated");
            column.DataType = typeof(int);
            column.Formula = "[Int32 1]";

        }

        private void btnSetCellValue_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.Rows[0].Cells["Int32 1"].Value = 1000;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.dt1.Rows[0]["Int32 1"] = 2000;
        }
    }
}